require 'rubygems'
require 'open-uri'
require 'json'

class UUIDAPI

  @@region = nil

  def initialize(region)
    @@region = region
  end

  def set_region(region)
    @@region = region
  end

  def get_region
    puts @@region
  end

  def get_uuid(username)
    response = open('http://' + @@region + '.mc-api.net/v3/uuid/' + username).read
    json = JSON.parse(response)
    if json['uuid'].is_a? String
      return json['uuid']
    else
      return nil
    end
  end

  def get_username(uuid)
    response = open('http://' + @@region + '.mc-api.net/v3/name/' + format_uuid(uuid)).read
    json = JSON.parse(response)
    if json['name'].is_a? String
      return json['name']
    else
      return nil
    end

  end

  private def format_uuid(uuid)
    if !uuid.is_a? String
      return nil
    end

    if uuid.length == 32
      return uuid
    else
      uuid.delete! '-'
      if uuid.length == 32
        return uuid
      else
        return nil
      end
    end
  end

end

module Region
  US = 'us'
  EU = 'eu'
end